%define upstream_name    Gnome2
%define upstream_version 1.043

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 2

Summary:	Perl module for the gnome2-2.x core libraries
License:	GPL or Artistic
Group:		Development/GNOME and GTK+
Url:		http://search.cpan.org/dist/%{upstream_name}
Source:		http://www.cpan.org/modules/by-module/Gnome2/%{upstream_name}-%{upstream_version}.tar.bz2
Patch0:		perl-Gnome2-1.043-fix-build.patch

BuildRequires:	gnomeui2-devel 
BuildRequires:	perl(ExtUtils::Depends)
BuildRequires:	perl(ExtUtils::PkgConfig)
BuildRequires:	perl(Gnome2::VFS)    >= 1.00
BuildRequires:	perl(Gnome2::Canvas)
BuildRequires:	perl(Gtk2)           >= 1.00
Buildrequires:	perl-devel

Conflicts:	drakxtools < 9.1-15mdk
Requires:	perl(Gtk2) >= 1.00

%description
This module provides perl access to GNOME-2.x core libraries.

GNOME (GNU Network Object Model Environment) is a user-friendly set of
applications and desktop tools to be used in conjunction with a window manager
for the X Window System. GNOME is similar in purpose and scope to CDE and KDE,
but GNOME (like KDE) is based completely on Open Source software.

GNOME libraries provide extra widgets on top of the gtk+ toolkit.


%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%patch0 -p1 -b .fix-build

%build
perl Makefile.PL INSTALLDIRS=vendor
%make

%install
%makeinstall_std

%files
%doc AUTHORS LICENSE examples/*
%{_mandir}/*/*
%{perl_vendorarch}/%{upstream_name}
%{perl_vendorarch}/%{upstream_name}.pm
%{perl_vendorarch}/auto/*


%changelog
* Mon Oct 21 2013 umeabot <umeabot> 1.43.0-2.mga4
+ Revision: 539626
- Mageia 4 Mass Rebuild

* Mon Oct 07 2013 sander85 <sander85> 1.43.0-1.mga4
+ Revision: 492538
- Fix build

  + tv <tv>
    - build w/o make -j (fix build)
    - new release

* Wed May 29 2013 jquelin <jquelin> 1.42.0-12.mga4
+ Revision: 432110
- perl 5.18.0 rebuild

* Thu Jan 17 2013 pterjan <pterjan> 1.42.0-11.mga4
+ Revision: 389214
+ rebuild (emptylog)

* Sun Jan 13 2013 umeabot <umeabot> 1.42.0-11.mga3
+ Revision: 367775
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 1.42.0-10.mga3
+ Revision: 250650
- rebuild for perl 5.16

* Mon Sep 05 2011 fwang <fwang> 1.42.0-9.mga2
+ Revision: 138572
- rebuild for updated perl build flags

* Sun Jun 12 2011 sander85 <sander85> 1.42.0-8.mga2
+ Revision: 104403
- Rebuild for perl 5.14

* Mon Jan 24 2011 jquelin <jquelin> 1.42.0-7.mga1
+ Revision: 37049
- mageia rebuild
- imported package perl-Gnome2

